commit 2ea68776c15449e969bbdc621655f3238d5580a8
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Wed Dec 23 20:44:24 2020 -0300

    Bump version

commit 70ea61b3fa63cbfc1dcb0901a37a8d880d41d0a6
Author: Harry Mallon <hjmallon@gmail.com>
Date:   Sun Dec 20 21:05:27 2020 +0000

    Adds HDCP-LEVEL to StreamInfo and IFramePlaylist

commit c96ad208b81912d1c144464e82c2f8205282eeaa
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Wed Dec 16 12:27:24 2020 +0000

    Add new playlist delta attributes from v10

commit 58ecb09c121287c0bcf1049fffc6ac49e9449a51
Author: Harry Mallon <hjmallon@gmail.com>
Date:   Wed Dec 9 11:58:24 2020 +0000

    Adds VIDEO-RANGE to IFramePlaylist

commit 2385dd567bcfa0108c7e99605612385213207c90
Author: Dominik Kozaczko <dominik@kozaczko.info>
Date:   Tue Dec 1 15:23:22 2020 +0100

    Fix .gitignore
    
    Remove .python-version and .idea/

commit bdd0a4ee6f0218c69f98db94cae18484f4898573
Author: Rafal Lukawiecki <rafal@projectbotticelli.com>
Date:   Tue Oct 13 12:40:11 2020 +0100

    Adds AVERAGE-BANDWIDTH to IFramePlaylist
    
    Adds AVERAGE-BANDWIDTH to IFramePlaylist class to comply with RFC8216 sections 4.3.4.2 and 4.3.4.3

commit f9a731ea7f1b5dfe57630a188637ebd944edeb0d
Author: ahardwick <andy@infinito-consulting.com>
Date:   Mon Sep 7 08:00:29 2020 +0100

    Added _cueout_duration to _parse_cueout

commit a882c89e0d0599670e78045b71fdcc391cde32e4
Author: ahardwick <andy@infinito-consulting.com>
Date:   Fri Sep 4 17:07:12 2020 +0100

    Added additional parsing for simple CUE-OUT with Duration key
    
    The following was not parsed by any of the existing CUE-OUT lines
    
    #EXT-X-CUE-OUT:DURATION=120
    
    I added a new parse rather than modifying the existing regex for _cueout_simple

commit fe74d743d5ba5750dd9af07e26bb9ffc14b06937
Merge: 862bd20 1fa646d
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sat Sep 5 10:48:17 2020 -0300

    Merge pull request #227 from rufoa/patch-1
    
    Fix typo in example code

commit 1fa646da66cb77d3856f47432ee965159a822323
Author: Rufus <rufus@rufus.al>
Date:   Sat Sep 5 04:38:39 2020 +0100

    Fix typo in example code
    
    Thanks

commit 862bd20764eefc7c02ba887d7c72c0c02352c6de
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Wed Aug 5 16:08:12 2020 -0300

    Bump version

commit 3bb55c61087acba06ef800c07555dad465ac5524
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Wed Aug 5 16:03:37 2020 -0300

    Fix base path when query string has slashes

commit b28f14333c0c21fc16bc4ce0d9f4fc571814d0f3
Author: frank89722 <frank89722@gmail.com>
Date:   Sun Aug 2 22:11:32 2020 +0800

    Fixed load file decode issue in non-english platform
    
    Just a small fix for local file loading issue in non-english platform

commit f5401c61b5d08c6d54e2ecdd6b752b989fe7b753
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon Jul 20 10:07:13 2020 -0300

    Bump version

commit 8a1dac37f8603a2b93f7a8b8088a8d6dbfbb7e8d
Author: Roger Godspeed <jmorley.signup@runbox.com>
Date:   Sat Jul 18 06:49:22 2020 -0700

    Support VIDEO-RANGE in StreamInfo

commit 7d9e2bde4ba1cb69f0f76d95e7e098f54fd58af8
Author: thenewguy <wgordonw1@gmail.com>
Date:   Sat Jul 11 20:12:27 2020 -0400

    Rounded framerate to 3 decimal places per spec

commit 660904f61e257aa72894903ce83d2a42bee144fa
Author: Gordon Pendleton <wgordonw1@gmail.com>
Date:   Thu Jul 9 13:31:21 2020 -0400

    used values already supplied

commit a350cc4654100cb1e966fe9a276d35bb0aacfbc7
Author: Gordon Pendleton <wgordonw1@gmail.com>
Date:   Thu Jul 9 13:28:53 2020 -0400

    fixed construction

commit 6b95a10e61670acce485e137443cccae4aae45de
Author: Gordon Pendleton <wgordonw1@gmail.com>
Date:   Thu Jul 9 13:23:49 2020 -0400

    removed quotes from channels

commit 9c342b5ab210ac7b0d22b2bdb69703557292f74d
Author: Gordon Pendleton <wgordonw1@gmail.com>
Date:   Thu Jul 9 13:22:30 2020 -0400

    tested channels parsing

commit b512f08535e4a1553966b5868a2df71ee7deb384
Author: Gordon Pendleton <wgordonw1@gmail.com>
Date:   Thu Jul 9 12:57:55 2020 -0400

    added channels to Media model

commit f921997c7858ed3aef2d803fbee99a469bd7f69d
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sat Jun 13 13:22:05 2020 -0300

    Fix Python 3 import

commit 37f7919706c6946a471a55511e8d5688714c9d1b
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Fri Jun 12 22:37:51 2020 -0300

    Drop Python 2 support

commit 31579ccc569ef6402e5e5b0d7551879df8774139
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Jun 11 09:47:25 2020 -0300

    Document custom HTTP client usage

commit 9856fa05557422845f33dc3e64effd4f9be302d2
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Jun 11 09:12:04 2020 -0300

    Allow default HTTP client to use proxies

commit 93002afabde832172e07b26c01c0c3434274a1eb
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Jun 11 09:11:25 2020 -0300

    Allow users to use their own HTTP clients

commit 5cea9535a54663f78b9398d8dd14601aaa5bb1aa
Merge: b885b25 f4c2aa6
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sat Jun 13 12:10:56 2020 -0300

    Merge pull request #212 from mauricioabreu/remove-python2
    
    Remove Python2 references

commit f4c2aa69823c8d4230ff182afdc485b5a8acf3d7
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Jun 11 10:14:27 2020 -0300

    Remove Python2 references
    
    Python2 is no longer supported.

commit b885b25722d55465f27e53cd9aa1bbc923c5d990
Merge: 25cf1b5 200ebfd
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Jun 1 15:32:59 2020 -0300

    Merge pull request #211 from mauricioabreu/master
    
    EXTINF tag must not violate floating point spec

commit 200ebfdca921c47f901ab06081f967e6e6e2092a
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun May 31 19:37:46 2020 -0300

    EXTINF tag must not violate floating point spec
    
    Duration containing 0.000011 should not be converted to
    1.1e-0 when dumping the playlist.

commit 25cf1b5547fc430efdbadd90a2f0a9d63b5fe472
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun May 3 10:15:56 2020 -0300

    Bump version

commit 98e5d751f16b92265ca9360f8d2dbe45585030db
Merge: 329d093 71c88f4
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Apr 26 22:51:12 2020 -0300

    Merge pull request #207 from mauricioabreu/master
    
    Document load/dump features

commit 71c88f4ccc95bf2484a9fb54bfd300be2bab2585
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun Apr 26 18:56:32 2020 -0300

    Document load/dump features

commit 329d0932efd22b410f74748e484ed096c70852bd
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Sat Apr 25 16:07:16 2020 +0100

    Order DATERANGE x-<client-attr>s predictably

commit b071688165dabde702739234c98ea3194afc9928
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Wed Apr 22 01:16:03 2020 +0100

    EXT-X-GAP support

commit 87c19e42f9efa86001528251275bbc0857cac519
Author: Jesse Almanrode <15253925+isaiah1112@users.noreply.github.com>
Date:   Fri Mar 20 05:45:59 2020 -0600

    Added ability for extra parameters to be passed to Key class
    
    Stores them in self._extra_params as a dictionary

commit 6c329a2c473ab59a873e17414262fefa4888498f
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Tue Mar 17 14:21:25 2020 +0000

    Add DATERANGE tag support

commit 2a7b1b2ea37e5b4b407bc862fba9419d900bb82e
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Tue Feb 25 17:11:55 2020 +0000

    Add support for EXT-X-PRELOAD-HINT

commit d30f90783ed004e49ced554d8368734287f5196d
Author: davemevans <dave.evans@m2amedia.tv>
Date:   Tue Feb 18 11:24:32 2020 +0000

    Fix #192 - correctly cascade base_path updates

commit 4d79a58382275a91220f01fc232f3f7f05b998f0
Author: slemus29 <santiago29lg@gmail.com>
Date:   Fri Feb 14 04:29:39 2020 -0500

    Typo mistake

commit 846d162e27e7324f7073db64a6f772cbe604803d
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Fri Feb 14 09:28:31 2020 +0000

    Fix invalid escape sequence in regex for Python3

commit ef2992f2110cccb4069dcb01cb6215c0b85707a8
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun Jan 19 16:41:34 2020 -0300

    Bump version

commit f5565ff6924ee919cb84c46a4007f02e68f5da18
Merge: 0cc3ac3 06840c6
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Jan 19 01:01:27 2020 -0300

    Merge pull request #189 from mauricioabreu/dont-modify-raw-values
    
    Interpret raw values as they are

commit 06840c633f11a183087e60550b3f613f4c9c2af5
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sat Jan 18 22:27:16 2020 -0300

    Interpret raw values as they are
    
    Before this commit, a negative number was resulting
    in a bad value. -10 was being replaced with _10, raising
    undesired exceptions.

commit 0cc3ac34c6f759a7d6f9089f3ca37163168b374e
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun Dec 8 17:06:14 2019 -0300

    Bump version

commit 4c1cf4d535d90fd82bdead3b1127412378886f96
Author: almaslov <maslov.alex1580@gmail.com>
Date:   Sun Dec 8 16:47:58 2019 +0300

    Allow individual EXT-X-MAP tag for segment
    
    Current support for EXT-X-MAP is not fully compliant with RFC.
    According to https://tools.ietf.org/html/rfc8216#page-17 part 4.3.2.5
    
    EXT-X-MAP tag may appear in playlist due to codec change.
    This pull request makes tag segment-specific, instead of playlist-specific.

commit 0168931a73d4806e513ab7c0cf44a434f6d4385a
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sat Nov 16 14:07:22 2019 -0300

    Bump version

commit 4eddce1a03883527171828cc309ce401915c9bc3
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Fri Nov 15 14:38:25 2019 +0000

    SCTE35 CUE-OUT and CUE-IN support

commit 13b3fd7337be2b85ac38b33f9b426af22d07b1ab
Author: Antoine Monnet <39551484+AntoineMonnet@users.noreply.github.com>
Date:   Thu Nov 14 12:55:50 2019 +0100

    Add #EXT-X-SESSION-KEY

commit 5ff9bdbf456e6fa22b2006e9da0089f5082aa7ad
Author: icaro gavazza <icarodgl@gmail.com>
Date:   Mon Nov 11 11:22:19 2019 -0300

    Add editorconfig support
    
    Enforce language settings

commit e3387f59a9c332b6f0593b49e82587089458bc59
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon Nov 4 08:06:07 2019 -0300

    Bump version

commit 5afc9836195fac756df7b58d1dcbf8fa7af2fddb
Author: Tanyi Chen <chentanyi@gmail.com>
Date:   Mon Nov 4 19:03:56 2019 +0800

    ssl._create_unverified_context() need to import ssl

commit 842dae6eea2c37f27e6e891d03bf6208543845a7
Merge: 67a1250 5db88b5
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Oct 22 11:00:20 2019 -0300

    Merge pull request #177 from Rickecr/master
    
    Update README.rst

commit 5db88b51c25832d925d12067cdbdb11b17928f1e
Author: Rick Ramalho <richelton14@gmail.com>
Date:   Tue Oct 22 08:07:11 2019 -0300

    Update README.rst

commit 67a125050449d7e5d7a20df617bc9352f02290bd
Author: Thiago Yuri <thiago.souza@ccc.ufcg.edu.br>
Date:   Mon Oct 7 09:39:42 2019 -0300

    Update README

commit 020104f1c57e5ec868632646a20856bcc54858a3
Author: izontm <izontm@gmail.com>
Date:   Tue Oct 1 07:50:01 2019 -0300

    Fix misspelling

commit 3960600d7cebe46e4e04de3c0c597e2764284c59
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon Sep 30 13:32:28 2019 -0300

    Bump version
    
    * Parse EXT-X-VERSION as an int as per spec
    * Option to disable SSL verification
    * Ensure correct dumping of rendition report when LAST-PART is 0

commit aba47fc091ebcaf4507ac4a0e3a60eb8ad5f85e4
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Mon Sep 30 15:45:58 2019 +0100

    Parse EXT-X-VERSION as an int as per spec

commit d4eeb1954899fb8bd951c379ecb13e7d6705e35c
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Mon Sep 30 15:45:27 2019 +0100

    Ensure correct dumping of rendition report when LAST-PART is 0

commit abdeed6f2500d158b00e52ef785b0172c9c76cd9
Merge: 6243668 ac39475
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Sep 27 21:34:57 2019 -0300

    Merge pull request #165 from mauricioabreu/optional-ssl-verification
    
    Option to disable SSL verification

commit ac3947585914ba72400561aa520aea7df8102902
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Fri Sep 27 19:47:33 2019 -0300

    Option to disable SSL verification
    
    Not every server has SSL enabled with valid
    certificates. This commit adds an option to disable
    by passing verify_ssl as False when loading a playlist.

commit 624366802427b9eef2e39e4266dc88c38fe1abc4
Merge: 17b81a3 9f96cd6
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Sep 16 11:19:15 2019 -0300

    Merge pull request #161 from davemevans/VersionIsAnInt
    
    Allow #EXT-X-VERSION to be set as int as well as str

commit 17b81a37309ed3de1214a8feb7ef878a435b9e86
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Fri Sep 13 21:13:34 2019 +0100

    Make all manifest tags available at top level, not just some

commit 9f96cd66df1aab0e7e840f57483ed630e5b362b1
Author: davemevans <dave.evans@m2amedia.tv>
Date:   Fri Sep 13 20:23:29 2019 +0100

    Allow #EXT-X-VERSION to be set as int as well as str

commit cc26900f8d100e254a94349809dab0020ed637f0
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Sep 12 15:50:56 2019 -0300

    Bump version
    
    * Refactor StreamInfo (uses a class now)
    * Introduce session_data tag support
    * Ensure that final line is terminated as per spec

commit 61c124e1fe293ebcb28dfa8b29abdbd0907dd069
Merge: 9f1ebcd 2744bf7
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Sep 12 14:20:42 2019 -0300

    Merge pull request #159 from cbsiamlg/bugfix-streaminfo
    
    Refactor StreamInfo to use a class

commit 2744bf7ad6cb4ff733ae65fd1c436d41b757d431
Author: Rob Harrigan <rob.harrigan89@gmail.com>
Date:   Wed Sep 11 16:06:48 2019 -0500

    Refactor streaminfo to use a class

commit 9f1ebcd3af56b1bd36023451558dff3f7388e2d1
Merge: 5cbf613 5d24363
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Sep 10 14:45:09 2019 -0300

    Merge pull request #158 from bvc3at/session_data_support
    
    Introduce session_data tag support

commit 5d24363f004a152b250e3ab68d44ce6c818546d2
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 18:16:39 2019 +0300

    Add tests

commit a890b5c64e85f7cd3b57d7b0c83ede14c67f8a37
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 18:09:40 2019 +0300

    Support dump multiple session_data tags

commit 28bd3865189ca119bf7a3dca9d2de97670bc71c5
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 17:43:44 2019 +0300

    Fix session_data dumping

commit b117fa148c70ec1d31797ff021fd685705885688
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 17:33:22 2019 +0300

    Add EXT-X-SESSION-DATA in supported tags list

commit dff898132e84212684a63e15615ce39d078bcb9e
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 17:20:29 2019 +0300

    Fix incorrect session_data dumping

commit 254244bd8b8780d5ae7519b0fd8d6ae1650ad031
Author: bvc3at <thecapslockman@ya.ru>
Date:   Tue Sep 10 16:47:27 2019 +0300

    Introduce session_data tag support
    
    Fix #157

commit 5cbf61314f8cb1a2fcee860a49f770eca16b29f9
Merge: 6faf95e f1cadbb
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Aug 26 19:45:29 2019 -0300

    Merge pull request #156 from mauricioabreu/fix-zero-duration
    
    Don't hide zero segment duration

commit f1cadbb45d687cada6a4352c72ce299064d28210
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Sun Aug 25 12:01:18 2019 -0300

    Don't hide zero segment duration
    
    RFC does not mention we must hide zero duration.

commit 6faf95ef2f3e1704060c6c23f08deb1a5cb08e7a
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Sat Aug 24 23:40:41 2019 +0100

    Hit 100% test coverage

commit ee195ed2c2dea939f968111feb552fce056fdf67
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Thu Aug 22 13:40:38 2019 +0100

    Ensure that final line is terminated as per spec

commit 2b16b5ca6cb3b216891b20e924ccefc2862827b7
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Fri Aug 16 08:04:10 2019 -0300

    Bump version

commit 5f20f642656b7b08cadd37ae6d739319209ad12f
Author: David Evans <5390145+davemevans@users.noreply.github.com>
Date:   Wed Aug 14 22:24:35 2019 +0100

    Add support for (preliminary) low latency protocol extensions

commit b70b15dc8a9731a3790011ba5b01bdd75bc86bec
Merge: 2b88b14 d4a9b0a
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sat Aug 10 11:12:28 2019 -0300

    Merge pull request #150 from davemevans/HandleUnquotedTitleCorrectly
    
    Don't assume EXTINF titles are quoted

commit 2b88b14266378879986c4c8b349f52f959784e79
Author: davemevans <dave.evans@m2amedia.tv>
Date:   Fri Aug 9 09:13:59 2019 +0100

    Fix quote handling on ASSOC-LANGUAGE and INSTREAM-ID, and add some tests

commit d4a9b0a86f807a5eb88f166d0d9c417ea8e3cbdf
Author: davemevans <dave.evans@m2amedia.tv>
Date:   Thu Aug 8 08:48:39 2019 +0100

    Don't assume EXTINF titles are quoted

commit 63f02546e44797c66824111ff2eb09093308355e
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Aug 1 12:06:18 2019 -0300

    Bump version

commit da3a30f1971715b0ac438b164703497b5a53cee4
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Wed Jul 31 08:59:00 2019 -0300

    Stop testing against outdated Python versions

commit 2f892c1a9b5085c2271773d1154a851733be9711
Author: lucasdavila86 <lucasdavila86@users.noreply.github.com>
Date:   Tue Jul 30 12:35:56 2019 -0300

    update most of the links from HLS draft to RFC8216

commit be99322d7f78756728dc74e3e88f2a397dc1174d
Author: Przemysław Górzyński <przemek.gorzynski@outlook.com>
Date:   Wed Jul 31 13:36:08 2019 +0200

    Frame rate support
    
    Parsing and dumping FRAME-RATE tag
    Added tests for FRAME-RATE tag

commit a84b2ac0bd7aec5acc5cf06a6db9746851863915
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Thu Jun 20 16:51:35 2019 -0300

    Bump version

commit 2844133b2933693a078b11e3682a070634f4ce9f
Merge: 3f083d2 7c0a498
Author: Mauricio Antunes <mauricio.abreua@gmail.com>
Date:   Wed Jun 19 15:02:18 2019 -0300

    Merge pull request #142 from igorsobreira/master
    
    dumps() include EXT-X-PROGRAM-DATE-TIME consistent with loads()

commit 7c0a4982cb336831c529804699508aaa34adc0d6
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Tue Jun 18 20:07:57 2019 -1000

    dumps() include EXT-X-PROGRAM-DATE-TIME consitent with loads()
    
    on Segment.dumps() instead of only writing EXT-X-PROGRAM-DATE-TIME
    when EXT-X-DISCONTINUITY we always write when it was provided when
    we parsed.
    
    `Segment.program_date_time` is set only when EXT-X-PROGRAM-DATE-TIME is
    present for that segment
    Segment.current_program_date_time` is set when EXT-X-PROGRAM-DATE-TIME
    is set for this segment or any previous ones
    
    See discussion on globocom/m3u8#115

commit 3f083d2057d50d5eae5520535a3580e579230086
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon May 20 08:49:26 2019 -0300

    Fix rst file syntax

commit 01fce255964ca6b0a67ef54efc0ae61068883b63
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon May 20 08:42:42 2019 -0300

    Need to include README to distribute

commit 2ce53ad08b7ca84d9b84a64298a83569acadbc41
Author: Maurício Antunes <mauricio.abreua@gmail.com>
Date:   Mon May 20 08:17:51 2019 -0300

    Bump version

commit 9d2af295cd972ad7e3f8406c785e59db1809feda
Merge: 33c8fe6 7ba488b
Author: Mauricio Antunes <mauricio.abreua@gmail.com>
Date:   Mon May 20 08:15:19 2019 -0300

    Merge pull request #140 from clhsieh/master
    
    Fix loads bug for custom_tags_parser

commit 7ba488b8e6da05f1cee3402b29b13f1c41cc0f99
Author: changlin <changlin@actionapp.io>
Date:   Mon May 20 19:01:43 2019 +0800

    Fix loads bug for custom_tags_parser

commit 33c8fe6ca7af249c80cb3cd3866abaa40af44f3e
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Apr 8 13:45:07 2019 -0300

    Bump version

commit a4b250e7fa33d17890f4ca20db98ac57e67a7724
Merge: 02d8326 5d5bab1
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Mar 13 09:56:32 2019 -0300

    Merge pull request #137 from mauricioabreu/missing-map-on-dumps
    
    Missing EXT-X-MAP attributes on dumps

commit 5d5bab1fb762725a5ff5122d77c479070100d7d5
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Sun Mar 10 13:56:36 2019 -0300

    Include EXT-X-MAP attributes on dumps
    
    These attributes were missing in the output.

commit d9885936d96dc4ef5548a8351fa98a6948e9dcf4
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Sun Mar 10 13:03:40 2019 -0300

    Ensure segment attribute is dumped
    
    Check if #EXT-X-PROGRAM-DATE-TIME is included in the
    dumps output.

commit 02d8326cb714c22428bc178c724595e07f7a205a
Merge: 625295e 3740d3b
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Mar 7 08:04:40 2019 -0300

    Merge pull request #135 from mauricioabreu/drop-python26-support
    
    Drop Python 2.6 support

commit 3740d3bc550d1a61f6c31b903c8029919e03d712
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Wed Mar 6 23:24:22 2019 -0300

    Drop Python 2.6 support
    
    Python 2.6 had it last release in 2013 and it is no
    longer being maintained. Also it servers as a friendly
    advice for those who still use Python 2 (https://pythonclock.org/)

commit 625295e0731e24f3c7935e4379327ccf625f1f61
Merge: 8bfa8e0 894f389
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Feb 5 09:00:17 2019 -0200

    Merge pull request #134 from mauricioabreu/remove-arrow
    
    Remove unnecessary dependency

commit 894f389a68094e8a6318a65f854e184c73bc1653
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Feb 4 22:58:34 2019 -0200

    Remove unnecessary dependency
    
    datetime from standard library is able to perform the
    same operations as arrow on m3u8 codebase.

commit 8bfa8e014b525ee9eedc54ef6779cb53834a6229
Merge: ff1d308 6529854
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Feb 4 19:23:28 2019 -0200

    Merge pull request #133 from mauricioabreu/document-custom-parser
    
    Document how to use a custom parser

commit 65298541f37ffa2f1aeedb62a4d7ec12368fb309
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Feb 4 18:46:15 2019 -0200

    Document how to use a custom parser

commit ff1d308144a9f134b2643514fb7f0e1e75f68f72
Merge: 54f3655 1c70006
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Feb 4 10:17:25 2019 -0200

    Merge pull request #132 from mauricioabreu/master
    
    Fix conflict of testing requirements

commit 1c7000636ae8e4b555d8cde21ef8a21e05a32492
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Feb 4 09:03:28 2019 -0200

    Comment the decision of pinning pytest-cov version

commit 04377432a4a0640cce36bbe0133da00b569a369d
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Feb 4 00:10:48 2019 -0200

    Alphabetically order requirements packages

commit 74fff5ea544a841cd3fd2fb01fdbdf2e717fb789
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Mon Feb 4 00:08:05 2019 -0200

    Fix conflict of pytest-cov and pytest versions
    
    pytest-cov 2.6.0 has increased the version
    requirement for the coverage package from >=3.7.1 to >=4.4,
    which is in conflict with the version requirement
    defined by the python-coveralls package for coverage==4.0.3.

commit 54f365565443a164f07fb8e3447fbcf540fc873f
Merge: 6cbe1e5 5f40195
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Jan 28 20:15:57 2019 -0200

    Merge pull request #130 from mauricioabreu/parse-custom-tags
    
    Add basic support for custom tags

commit 5f40195334fdd1bbe2431b9e6dd3ac57c1c28cb0
Author: mauricioabreu <mauricio.abreua@gmail.com>
Date:   Sun Jan 27 21:48:48 2019 -0200

    Add basic support for custom tags
    
    Main parser function now receives a function that can be
    used to parse the line content and save it into the data store object.

commit 6cbe1e5456b4d494bd4f28d94e2777c9f0d13047
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Dec 6 09:34:18 2018 -0200

    remove closed project

commit cb0cda7932923f8a2ef66b4a438bd3cc538f34bb
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Dec 6 09:30:53 2018 -0200

    release new version

commit 979ec0102bb9868536e0e68bca4301a85f3ffcce
Merge: db07d2a ab1e405
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Dec 6 09:26:47 2018 -0200

    Merge pull request #129 from colde/master
    
    Add the ability to set URI's when loading from a string

commit ab1e40591ab5b04351a9b98395c9fc1bada927f0
Author: Loke Dupont <loke@lokedupont.info>
Date:   Thu Dec 6 11:45:15 2018 +0100

    Add appropriate testing to verify base uri's set when given the option

commit 5c057e2e462e2542eeb9c205462dd37157123f40
Author: Loke Dupont <loke@lokedupont.info>
Date:   Tue Dec 4 12:58:59 2018 +0100

    Add the ability to set URI's when loading from a string

commit db07d2ab75a3447bd278fb4eecc11627a38cfab2
Merge: a1373c8 2900eae
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Oct 21 14:03:53 2018 -0300

    Merge pull request #127 from GabrielDS/readability-parser
    
    Improve readability in the parser.py file

commit 2900eae2864badca5910aef01f97b6b653bca501
Author: gabrields <gabriel.santosti01@gmail.com>
Date:   Sun Oct 21 10:01:41 2018 -0300

    Improve readability in the parser.py file
    
    In the uri check method, I switched the library call "re" to the built-in "startswith".
    I also used the same built-in method in the "remove_quotes" method. In the same file,
    I changed the replaces of the method "string_to_lines" to "splitlines" where it has the
     same effect.

commit a1373c8e5848cafe56ee16fb761a6432fba500af
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Oct 12 22:57:26 2018 -0300

    release new version

commit e499d3c05df6536e26f275eda9d844c2c22e689a
Merge: 12550e3 fb6ef2a
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Oct 12 22:55:57 2018 -0300

    Merge pull request #126 from cdunklau/expand-streaminfo
    
    Add subtitles, video, and audio group-id refs to StreamInfo

commit fb6ef2aed4df5cb2406c9b322eedd5b126cb0de1
Author: Colin Dunklau <colin.dunklau@gmail.com>
Date:   Fri Oct 12 20:53:18 2018 +0200

    Hardcode some StreamInfo attributes in IFramePlaylist

commit ce920a9f60ea0b7f3b40c2d40cce36959f20bbbe
Author: Colin Dunklau <colin.dunklau@gmail.com>
Date:   Fri Oct 12 14:25:22 2018 +0200

    Add subtitles, video, and audio group-id refs to StreamInfo

commit 12550e360d233082599569508a803c975311415b
Merge: 6a97b29 c20ff50
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Oct 11 12:14:57 2018 -0300

    Merge pull request #125 from cdunklau/dequote-closed-captions
    
    Dequote CLOSED-CAPTIONS AttributeValue in STREAM-INF

commit c20ff50f5d033dd5e1b8c151b937e25ef894c3c6
Author: Colin Dunklau <colin.dunklau@gmail.com>
Date:   Thu Oct 11 16:59:45 2018 +0200

    Dequote CLOSED-CAPTIONS AttributeValue in STREAM-INF

commit 6a97b296fabfd32cd2731f4ec94cd014ee272d25
Merge: b99fce0 dfe736f
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Jul 3 07:23:33 2018 -0300

    Merge pull request #118 from lqs/master
    
    remove redundant urlopen

commit dfe736f59c7ee81736ecbc04c34b0101fa982559
Author: lqs <lqs@lqs.me>
Date:   Tue Jul 3 17:42:06 2018 +0800

    Revert "fix arrow dependency issue"
    
    This reverts commit 71cc4987a5b5f7fbf1c9112e76f7f9dece54a80a.

commit b99fce0739f57d9b020c44f5ebae1727eee5f225
Merge: 3447534 960cd0c
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Jun 21 17:44:09 2018 -0300

    Merge pull request #120 from newmaniese/master
    
    Arrow 0.10.0 breaks 2.6 support. Pinning tests to arrow==0.9.0 fixes the issue

commit 960cd0c0db19483cc8660c5e3cda915045d5fac6
Author: Michael Newman <newmaniese@gmail.com>
Date:   Thu Jun 21 13:41:20 2018 -0400

    Arrow 0.10.0 breaks 2.6 support. Pinning tests to 0.9.0 fixes the issue

commit 3447534de1129c1e4007ac3e67da133c2813f89c
Merge: 5a8b976 301a711
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Jun 20 23:03:00 2018 -0300

    Merge pull request #119 from newmaniese/discontinuity_sequence
    
    Parsing logic for #EXT-X-DISCONTINUITY-SEQUENCE

commit 301a7119a606b7b540682f8747122bcc46aeb930
Author: Michael Newman <newmaniese@gmail.com>
Date:   Wed Jun 20 12:05:25 2018 -0400

    Adding parsing and model logic for discontinuity sequence

commit 71cc4987a5b5f7fbf1c9112e76f7f9dece54a80a
Author: lqs <lqs@lqs.me>
Date:   Fri Mar 9 14:43:33 2018 +0800

    fix arrow dependency issue

commit 0a9762f64946f3746ad7c17169d7939318c9b291
Author: lqs <lqs@lqs.me>
Date:   Wed Mar 7 12:35:29 2018 +0800

    remove redundant urlopen

commit 5a8b976e658001f9d38d5d3f28dd2d3f42c2197d
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Nov 9 15:17:17 2017 -0200

    release new version 0.3.5

commit b2345a954c510edb55f88a771e5fa464d6bac0d1
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Nov 9 15:13:28 2017 -0200

    add supported tags section

commit d8b717d8df0838dc400ceb5e24be6a878213c20b
Merge: c9bf75b d6ec551
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Nov 9 15:09:46 2017 -0200

    Merge pull request #113 from blokfyuh/add-time-offset-support
    
    Add time offset support

commit d6ec551f7d3c7be10ee1bed2240795ec54a3089e
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Thu Nov 9 12:24:13 2017 -0400

    Added unit tests

commit 6b5d78b811c604e2978d35ce995a31efb24592d6
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 17:49:22 2017 -0400

    Fixed import issue

commit 865de12016af5091dd39d0bab71d4451421008ec
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 17:41:36 2017 -0400

    Protected M3U8 _initialize_attributes if not start is detected

commit 235055e5afa4e704f3fca2a122964e77e915bb71
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 17:35:11 2017 -0400

    Refactored start logic

commit 77475250ca57fae08063bd533b5359633e6bb71a
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 16:04:11 2017 -0400

    Replaced '_' by '-' when dumping playlist

commit 3a305dfe152eb3a9d14ca07a52820fe7cdcf2ee3
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 15:36:11 2017 -0400

    Uppercased start param

commit 60b23068f12dc2709dfb82d3680d573c3984c1d8
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 15:30:04 2017 -0400

    Added start to simple parameters and added it to dumps logic

commit 5a2a3a9f8869cafd30a3527c4518a5f42590ea3d
Author: alexb <boukhlif.alexandre@gmail.com>
Date:   Wed Nov 8 15:13:45 2017 -0400

    Added protocol and used _parse_key method

commit c9bf75b63e8eb0c2dc94bc3895d511c976f050bb
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Oct 15 17:25:35 2017 -0200

    releases new version

commit 987e09baa1a5ef0d24e967af68fe8240bd2b66a9
Merge: a217a3f 892ffca
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Oct 15 17:22:18 2017 -0200

    Merge pull request #112 from guthypeter/master
    
    Don't fail if title has a comma in it

commit 892ffca35f282318cd7ca30e64662c8eb1bf7f34
Author: Peter Guthy <peter@guthy.at>
Date:   Sun Oct 15 19:07:29 2017 +0200

    Added tests for 'comma in title'

commit a217a3fba35b77b52d9435fc1d40f58c7f420d2a
Merge: 264c406 74f6d18
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Oct 15 11:15:31 2017 -0200

    Merge pull request #111 from eventh/mediaUriOptional
    
    Setting base_path when uri is None is allowed now, and does nothing.

commit c713e3f5b239424769bfcf64c5525d0ffe9e99f3
Author: Peter Guthy <peter@guthy.at>
Date:   Sun Oct 15 13:48:29 2017 +0200

    Don't fail if title has a comma in it

commit 74f6d18a59dcbb58342ff85b8a75565ec6682b3c
Author: Even Thomassen <even.thomassen@noriginmedia.com>
Date:   Tue Oct 3 12:31:15 2017 +0200

    Set base_path when uri is not set is allowed now, and does nothing.
    
    Since uri is optional, and setting base_path on M3U8 objects
    sets base_path on all media/playlist/key objects of the M3U8 object,
    the base_path must check first if uri is actually set.
    
    Added two tests that fail without this change, but passes after.
    
    Signed-off-by: Even Thomassen <even.thomassen@noriginmedia.com>

commit 264c406722c3b2d1a1358fef9598cf3a4fa6c4ee
Merge: a173408 3741125
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Sep 12 22:04:46 2017 -0300

    Merge pull request #108 from budziq/patch-1
    
    fix for m3u8.dump() failing on relative paths without directories

commit a1734083ea31fa6191d948ba42411f59dbc4b0a3
Merge: 82cb743 6e2429b
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Sep 12 18:28:07 2017 -0300

    Merge pull request #106 from Intar/add_closed_captions
    
    Add support CLOSED-CAPTIONS for StreamInfo

commit 374112508dcd1cbcf67cb29b015ddce0aaae4290
Author: Michał Budzyński <budziq@gmail.com>
Date:   Tue Sep 12 17:30:43 2017 +0200

    fix for m3u8.dump() failing on relative paths without directories
    
    fixes https://github.com/globocom/m3u8/issues/107

commit 6e2429ba9d4edb103d7677eabc2964e8560ad668
Author: Aleksey Ivanov <intar@yandex-team.ru>
Date:   Mon Sep 11 15:28:01 2017 +0300

    Add support CLOSED-CAPTIONS for StreamInfo

commit 82cb743e164c9eed234ea2ca59b6ff7ccb13ac56
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 30 23:22:36 2017 -0300

    releases new version

commit f783556e515f32b46f73e4ac4278440d558b806d
Merge: e58a241 6eb9de8
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Aug 29 13:10:57 2017 -0300

    Merge pull request #105 from denex/dev
    
    FIX #104 - Error parsing line #EXT-X-MAP:URI="main.mp4",BYTERANGE="81…

commit 6eb9de8d7e779acb037d53f686a59187c3edd502
Author: Denis Averin <ddenex@gmail.com>
Date:   Tue Aug 29 21:38:01 2017 +0700

    REFIX #104 - Error parsing line #EXT-X-MAP:URI="main.mp4",BYTERANGE="812@0"

commit 6800db5c832a8f987fedb131b1de54c27516cc1f
Author: Denis Averin <denis.averin@neulion.com>
Date:   Tue Aug 29 17:58:40 2017 +0700

    FIX #104 - Error parsing line #EXT-X-MAP:URI="main.mp4",BYTERANGE="812@0"

commit e58a2411b7df376adb922cf56bc411d55e371e77
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Apr 12 11:00:59 2017 -0300

    bumps up version

commit 55e5d7957dbd0c8adffefd57471b40f922c29444
Merge: ef1dd1a ab095f9
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Apr 12 10:56:05 2017 -0300

    Merge pull request #103 from denex/master
    
    Added EXT-X-MAP:URI attribute

commit ab095f9d293c157de6391996301b91c4ad6a75f5
Author: Denis Averin <ddenex@gmail.com>
Date:   Mon Apr 10 17:38:10 2017 +0700

    Added EXT-X-MAP:URI attribute

commit ef1dd1a1cb01a982d91bb53179140adfb3ce96c4
Merge: 7d10f0e 58196b3
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Mar 8 13:22:59 2017 -0300

    Merge pull request #99 from SylvainDe/master
    
    Add most recent Python versions in Travis CI

commit 58196b3969ae686824f6913a6337c49d9fe20795
Author: Sylvain <sylvain.desodt+github@gmail.com>
Date:   Mon Mar 6 21:05:46 2017 +0100

    Add most recent Python versions in Travis CI
    
    Add more recent Python versions including
    development branches and nightly build.

commit 7d10f0e0c051b875442bfcc783925e553a331c1c
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Jan 27 11:23:30 2017 -0200

    chore: points to latest hls specification

commit f5e8a2556fe5b13c5fb5d107edf1756a713377e8
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Jan 19 17:03:03 2017 -0200

    chore: bumps up version to 0.3.1

commit b254caf88b1f1b2f64c2da0a1ec7b5b945ca553b
Merge: 2e5d867 d7514f9
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Thu Jan 19 16:58:32 2017 -0200

    Merge pull request #95 from baco/http-headers
    
    Add support for headers to URL opener

commit d7514f98a84db50483655bc3a864f56330e9b3ae
Author: Dionisio E Alonso <dalonso@infoad.com.ar>
Date:   Thu Jan 19 15:31:07 2017 -0300

    Use the created request among all connections
    
    Once built the request use it every time urlopen() is called instead of
    uri.

commit 9dfb5964b5a045fd905076ca8881a41282d7428e
Author: Dionisio E Alonso <dalonso@infoad.com.ar>
Date:   Thu Jan 19 14:57:27 2017 -0300

    Minor fix in request builder

commit 4e843c9ad00e53ea0215679408cadc72e88dd0ab
Author: Dionisio E Alonso <dalonso@infoad.com.ar>
Date:   Thu Jan 19 11:23:37 2017 -0300

    Add support for headers to URL opener
    
    Added the ability to build the request for an URL specifying more
    arguments such as headers.  With this option cookies, referrer and
    user-agent may be passed to access the content of URLs.

commit 2e5d867e9d1a40c48332ac476d9c90381328aaa9
Merge: 06a9ab8 b861d50
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Sat Oct 15 09:10:02 2016 -0300

    Merge pull request #91 from Eyevinn/fix-72
    
    Proposed fix for #72

commit 06a9ab85bcc0e4637a4bb0e963dcfcc3e98aca62
Merge: a725489 8f9c2d5
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Oct 11 16:57:56 2016 -0300

    Merge pull request #90 from Eyevinn/fix-58
    
    Partial revert (maintaining the added unit tests) in the fix for #58

commit b861d50cb66b74e97a1dd133574f17963afe59a8
Author: birme <jonas.birme@eyevinn.se>
Date:   Tue Oct 11 21:56:46 2016 +0200

    Proposed fix for #72

commit 8f9c2d5071ec874433a5878d9f543efa6fe907a0
Author: birme <jonas.birme@eyevinn.se>
Date:   Tue Oct 11 21:34:20 2016 +0200

    In light of the RFC stating that URI is only required if key method is not NONE. And actually other attributes MUST NOT be present if method is NONE. That part is not enforced in this commit

commit a7254890ab733ab060f2917dee5db1271f64ede8
Merge: f8d3887 0d99390
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Mon Oct 10 07:48:11 2016 -0300

    Merge pull request #87 from Eyevinn/fix-58
    
    Suggested fix for #58: If key-method is None the key uri should not be mandatory

commit 0d9939075ffce4ba400c536ad44020efd41be210
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Oct 10 09:43:15 2016 +0200

    Fix for #58: If key-method is None the key uri should not be mandatory

commit f8d38879d909ca359dd440c35364439e0d11d100
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Oct 5 14:23:34 2016 -0300

    releases new version

commit 498cef0f9694a1899007533b250326e869f00ed2
Merge: bbc2dd3 e130c0f
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Oct 5 14:13:27 2016 -0300

    Merge pull request #86 from Eyevinn/feature-cue-envivio
    
    Support for Envivio flavoured SCTE35 cue markers

commit e130c0f85c16ec088c4730a3d40913048a6d34b0
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 19:04:19 2016 +0200

    A more functional style implementation

commit 0c8cea3183bf4771b58a14a523b3c61627f9837d
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 17:11:34 2016 +0200

    Made a more clear separation between Elemental and Envivio implementations

commit 972337e1bf96cfb3d4afc5060a645a43500b8289
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 16:07:33 2016 +0200

    Add more tests for Envivio cue markers

commit 5a94b06333ddc120efbe9fcf68a1973891f01c36
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 15:39:41 2016 +0200

    Handle Envivio flavor of cue markers

commit 3c50bf4a224dfbe5bd231a53724885d1f8d2b718
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 15:09:41 2016 +0200

    Missing ext_x_cue_out_start

commit 06388fd2f19e26f5d8bb950b1ba6483a75e4fbe4
Merge: b698797 bbc2dd3
Author: birme <jonas.birme@eyevinn.se>
Date:   Wed Oct 5 14:56:22 2016 +0200

    Sync with upstream

commit bbc2dd31d9c6edeecb15539bb7e91965bed759e0
Merge: a21bfd9 7bc4bf2
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Oct 4 17:26:38 2016 -0300

    Merge pull request #84 from bertothunder/master
    
    Fixed ugly broken lines from autopep8

commit 7bc4bf24e1f5073da4d8602bba160e3deddb5d6c
Author: acurro <alberto.curro@cogecopeer1.com>
Date:   Tue Oct 4 21:09:03 2016 +0100

    Fixed ugly broken lines from autopep8 call, deleted unused method

commit 8540f6f98226d908ad1b64fbbbaa24e00fb1dbf6
Merge: b4ce400 a21bfd9
Author: mydaemon <albertocurro@zoho.com>
Date:   Tue Oct 4 20:59:03 2016 +0100

    Merge pull request #1 from globocom/master
    
    Merge pull request #83 from globocom/master

commit a21bfd9773a92ce3b473ca950d6559af449f775a
Merge: c6d3a83 b4ce400
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Oct 4 16:34:09 2016 -0300

    Merge pull request #83 from bertothunder/master
    
    Changed implementation from single key to multiple keys in M3U8

commit b4ce400047166d2ae6bec9e5b406e7267a222dbb
Author: acurro <alberto.curro@cogecopeer1.com>
Date:   Tue Oct 4 20:28:13 2016 +0100

    Fixed uniqueness on keys. The keys property in m3u8 now contains unique set of keys, and the segments are associated with that key.
    
    Added by_key() filter method to SegmentList to retrieve list of segments used by one key, also allows to change the key associated to some segments.
    
    Updated documentation.
    
    New tests added, and old tests have been restored.
    
    Checked with Python 2.6, Python 2.7 and Python 3.4.

commit 7e9fbd0a19512e99f86981fecfcb43087a615a1d
Author: acurro <alberto.curro@cogecopeer1.com>
Date:   Tue Oct 4 08:45:20 2016 +0100

    Hopefully fixed import problems with parser in python 2.6 and python 3.x

commit db5b1298bf23373d9ab23f949313ed6c9767962b
Author: acurro <alberto.curro@cogecopeer1.com>
Date:   Tue Oct 4 08:42:12 2016 +0100

    Deleted ugly debug print() calls in mixins

commit b6ab368c7c9a252670a129451af2b3e24e33dee6
Author: acurro <alberto.curro@cogecopeer1.com>
Date:   Tue Oct 4 01:02:52 2016 +0100

    Changed implementation from single key to multiple keys (aside from keys stored in segments). This allows more flexibility in the
    handling of all possible encryption scenarios. M3U8 documentation shows the possible scenarios and the change.
    
    Added new tests for the change on keys, and commented out other ones temporarily (to be deleted later?).
    
    Mixins have been moved to an external file for a more clear code and better organization.
    
    Updated .gitignore for virtualenvs too.

commit b69879754ded152e3aa7b531e5dbfcf9f5d73a23
Merge: 815a1d4 c6d3a83
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Oct 3 18:19:49 2016 +0200

    Merge remote-tracking branch 'upstream/master'

commit c6d3a8364d278058a2031ce5c3cf156ea5a1cab9
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Sep 28 09:55:36 2016 -0300

    releases new version

commit 99f0c7a7ed36f974f78ff0dba7144bd62c00796a
Merge: f3dd497 beeb9a1
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Sep 27 15:03:39 2016 -0300

    Merge pull request #81 from Eyevinn/fix-cueout
    
    SCTE35 in CUE-OUT

commit beeb9a1bef5825859b8ead1f3172a141e92ed83f
Author: birme <jonas.birme@eyevinn.se>
Date:   Tue Sep 27 16:39:40 2016 +0200

    Forgot to remove debug output in test

commit 13cdad003d37b591717b512e665639ddd48bd179
Author: birme <jonas.birme@eyevinn.se>
Date:   Tue Sep 27 15:59:38 2016 +0200

    Elemental encoders put the first SCTE35 in the CUE-OUT and not CUE-OUT-CONT segment

commit f3dd497c383d9afc025018fbada7a956184d4d1a
Merge: 9c5cb8d f1c7ea4
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Sep 27 08:35:44 2016 -0300

    Merge pull request #80 from iamnotaprogrammer/master
    
    close file after reading

commit f1c7ea4278d0aab7184dec0c4e94edeabdf99869
Merge: 9c5cb8d 205e261
Author: Ivan Smirnov <iamnotaprogrammer@yandex.ru>
Date:   Sat Sep 24 15:07:16 2016 +0300

    Merge pull request #1 from iamnotaprogrammer/iamnotaprogrammer-patch-1-1
    
    close file after read

commit 205e2614acfb4dbf3ef66458e003c98e913ac51a
Author: Ivan Smirnov <iamnotaprogrammer@yandex.ru>
Date:   Sat Sep 24 15:06:52 2016 +0300

    close file after read

commit 815a1d4751efc436c2058019f9185d889fd79689
Author: birme <jonas.birme@eyevinn.se>
Date:   Fri Sep 2 11:35:43 2016 +0200

    Revert cue-out fix that was commited to master

commit bae9dbdd00dd02fee6ed57f15cfb5da4990455c3
Author: birme <jonas.birme@eyevinn.se>
Date:   Fri Sep 2 11:13:11 2016 +0200

    Updated test case to verify that cue_out is set on EXT-X-CUE-OUT

commit 3f144f21228d352e4eba921ec014183ccf64dcbf
Author: birme <jonas.birme@eyevinn.se>
Date:   Fri Sep 2 11:04:45 2016 +0200

    An EXT-X-CUE-OUT is the actual start of a splice

commit 9c5cb8d757a23ee604259a0a6c10b317b06dc334
Merge: 1897052 8fae3a6
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 24 11:20:46 2016 -0300

    Merge pull request #77 from ziima/73-commaless-extinf
    
    Fixes #73 - Allow missing comma in EXTINF tag

commit 8fae3a69615c2f470f4fb40eecdce10981568c2c
Author: Vlastimil Zíma <vlastimil.zima@gmail.com>
Date:   Tue Aug 23 22:00:05 2016 +0200

    Fixes #73 - Allow missing comma in EXTINF tag

commit 1897052d9362c21a4af52340e945edaec7de8fe8
Merge: 651c14a bf4958e
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 24 09:56:53 2016 -0300

    Merge pull request #78 from ziima/fix-parse-error
    
    Fix ParseError exception

commit bf4958e2ff4581bfd2e14578f7ef01ade59de526
Author: Vlastimil Zíma <vlastimil.zima@gmail.com>
Date:   Wed Aug 24 08:35:07 2016 +0200

    Fix ParseError exception

commit 651c14ab5368692fd23f321a78bfe558d2b22f33
Merge: 4fdec99 b77586a
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 10 08:23:20 2016 -0300

    Merge pull request #75 from Alexqw/patch-1
    
    Update README; multiple keys are supported now

commit b77586a3d742e161dafc9d63e0e5284d991e508e
Author: Alex Waite <Alexqw85@gmail.com>
Date:   Wed Aug 10 11:10:09 2016 +0200

    Update README; multiple keys are supported now
    
    At least according to issue 1 and the release notes of 0.2.1.

commit 4fdec99aaf735ebb41c2913d4ef1cd69b80d5267
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Aug 8 18:20:54 2016 -0300

    releases new version

commit a59e6ea171a58acc637e698148b0bde25266450a
Merge: 07bda43 7dd0e92
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Mon Aug 8 14:26:35 2016 -0300

    Merge pull request #74 from Eyevinn/feature-scte35
    
    Extract SCTE35 metadata on every segments

commit 7dd0e922aea94744419044a5ecbb4257e39949d3
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Aug 8 16:57:23 2016 +0200

    Not actually necessary to have a cue_start and cue_end attribute

commit 42c18f8b5927f1b590154c8085037998d0420efe
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Aug 8 16:40:39 2016 +0200

    Handle start of cue period without explicit EXT-X-CUE

commit c6a35193723318417bb5c5f099404dc46241d1ba
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Aug 8 16:27:34 2016 +0200

    Renamed SCTE35 test playlist

commit c8aff4001775eaf476121824c7ece742085eb293
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Aug 8 16:08:04 2016 +0200

    Passing tests for SCTE35 parsing

commit 70310331d4fac74a4a4b0115503987532a002171
Author: birme <jonas.birme@eyevinn.se>
Date:   Mon Aug 8 15:44:35 2016 +0200

    Implemented initial support for parsing out SCTE35 metadata in HLS

commit 07bda435f7061004ce25dd5be6a8f3de67e69219
Merge: 99510ec 857d986
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Jul 29 07:39:26 2016 -0300

    Merge pull request #71 from hitzzc/timeout
    
    add timeout parameter for load function

commit 857d9862eb3efa4b66d26b0f717c4f6ab671427e
Author: deploy <deploy@freewheel.tv>
Date:   Fri Jul 29 13:24:10 2016 +0800

    add timeout parameter for load function - add unit test

commit 9065d985f577b5872f3ba56c650e992336b238ff
Author: deploy <deploy@freewheel.tv>
Date:   Fri Jul 29 13:22:48 2016 +0800

    add timeout parameter for load function - add unit test

commit 67256f9295a38a59af322d132d0d4bb6ca66bb93
Author: deploy <deploy@freewheel.tv>
Date:   Fri Jul 29 13:19:45 2016 +0800

    add timeout parameter for load function - add unit test

commit 6160e7fadaf8c3e4fa45f15045e0f6678e57334d
Author: deploy <deploy@freewheel.tv>
Date:   Fri Jul 29 12:34:50 2016 +0800

    add timeout parameter for load function - add unit test

commit ff56767d4511bd16ed2f517f9b2491bc7d801116
Author: deploy <deploy@freewheel.tv>
Date:   Fri Jul 29 12:27:03 2016 +0800

    add timeout parameter for load function - add unit test

commit 462dc31513957265b543ae4ca4755300010154f2
Author: deploy <deploy@freewheel.tv>
Date:   Thu Jul 7 16:55:17 2016 +0800

    add timeout parameter for load function

commit 99510ec00645a9b7687a8436891b35151184c14b
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Jul 3 22:03:08 2016 -0300

    bumps up version

commit 782999632a27c2764fb864d3429e2dcab451f067
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Jul 3 22:02:04 2016 -0300

    removes empty spaces

commit 2611f7d96dc444ccfb00f35881bef7d1ed84a042
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Sun Jul 3 21:54:14 2016 -0300

    ignores cache folder

commit c209d3d20bd82515b409ae7ccfe0cf2e9313c2e7
Merge: 72c5d0a 7a4a8e9
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Sun Jul 3 21:44:18 2016 -0300

    Merge pull request #70 from Prendo93/multi-media-fixes
    
    Multi media fixes

commit 7a4a8e97105e2873562f8525508a2c1f415f7aa2
Author: Michael Prendergast <michael@spalk.co>
Date:   Mon Jul 4 12:33:28 2016 +1200

    Adding fix to Playlist model to only print one media group_id for each media type.

commit f6c39e23957ae1520d8c62955e4a53499854bc88
Author: Michael Prendergast <michael@spalk.co>
Date:   Mon Jul 4 12:32:32 2016 +1200

    Adding tests which show failures on multi-media playlists:
     - Media Types are added once for each item, not once for each group_id

commit 72c5d0a4e4dffdfadb9f4d209e590304299a9180
Merge: b6662a4 0c3e519
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Sun Feb 28 17:27:10 2016 -0300

    Merge pull request #69 from onovy/setup_py_license
    
    License fixies

commit 0c3e51950f81ebd9bdb166f575e95605d7aaf3e7
Author: Ondřej Nový <ondrej.novy@firma.seznam.cz>
Date:   Sun Feb 28 20:25:45 2016 +0100

    Add LICENSE file to package

commit 75390340b41027b584683aeea74132721ab9850b
Author: Ondřej Nový <ondrej.novy@firma.seznam.cz>
Date:   Sun Feb 28 20:21:25 2016 +0100

    Added license to setup.py

commit b6662a46996b094d1d84667a5a9c2e33579ab375
Merge: 10dcac7 58a8648
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Oct 20 10:30:28 2015 -0200

    Merge pull request #65 from somsak/master
    
    Fix bugs in resolution attribute and dumps function.

commit 58a8648e138f73240e1c443cf6de75d044e6fa4d
Author: Somsak Sriprayoonsakul <somsaks@gmail.com>
Date:   Tue Oct 20 15:00:56 2015 +0700

    - Add support for double quote in resolution attributes
    - Fix how segment represent itself (__str__)
    - Bump version up

commit 10dcac787430a31d772dd414f878042dfe62e98c
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Oct 16 18:12:02 2015 -0300

    adds dependency and version badge

commit b03f2c855b013fdeac3e4c07d6eb7466a3392144
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Oct 16 18:02:05 2015 -0300

    bumbs up version

commit dd00c15ad7ddd2f5bbae884a763aa6504bebd703
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Oct 16 17:57:28 2015 -0300

    removes support for 3.2 but keeps for 3.3
    
    https://github.com/globocom/m3u8/pull/64

commit ea8cb404ad19faad510290c9a41535d9aa0839fb
Merge: 210db9c e7821cc
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Oct 16 17:56:00 2015 -0300

    Merge pull request #64 from audetto/fix2
    
    Mote python 3 support.

commit e7821ccaa379d6ed543cb1c4537949dac7a0bad0
Author: Andrea Odetti <mariofutire@gmail.com>
Date:   Thu Oct 15 20:36:02 2015 +0100

    Mote python 3 support.
    
    Now all tests pass in python 3 as well.
    
    Andrea

commit 210db9c494c1b703ab7e169d3ae4ed488ec30eac
Merge: 4ca1bcf 67a9cb1
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Thu Oct 15 13:11:12 2015 -0300

    Merge pull request #60 from audetto/fix
    
    Python3 support.

commit 4ca1bcfeb599d04a71855dd09179576d3226fff4
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Oct 15 11:22:19 2015 -0300

    migrating to container infrastructure fixes #62

commit 6893fa1ae28168b04904109ec2b277372dd3811d
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Thu Oct 15 11:09:30 2015 -0300

    fixes cue_out failing test

commit bd420842b144274c8ae86ea074682b4cb88dcb7d
Merge: 836bafb b753ba3
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Thu Oct 15 01:03:35 2015 -0300

    Merge pull request #61 from globocom/revert-21-master
    
    Revert "Multiple key support, IFrame playlist support"

commit b753ba3a633319ed25c9528542cea51054159af7
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Thu Oct 15 01:01:49 2015 -0300

    Revert "Multiple key support, IFrame playlist support"

commit 67a9cb12e6ec8152672489f67747528bba37861d
Author: Andrea Odetti <mariofutire@gmail.com>
Date:   Wed Oct 14 21:06:08 2015 +0100

    Python3 support.
    
    The module exceptions no longer exists.
    
    Andrea

commit 836bafb63980abcc4237469b845e94fd5bffece1
Merge: 707d212 5188097
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Tue Oct 6 13:22:46 2015 -0300

    Merge pull request #21 from feuvan/master
    
    Multiple key support, IFrame playlist support

commit 51880973249d657cbfa3e76189143ad1281c7397
Merge: c4899b9 707d212
Author: feuvan <feuvan@feuvan.net>
Date:   Tue Aug 18 13:19:01 2015 +0800

    Merge remote-tracking branch 'globocom/master'
    
    Conflicts:
            m3u8/__init__.py
            m3u8/model.py
            m3u8/parser.py
            tests/playlists.py
            tests/test_model.py
            tests/test_variant_m3u8.py

commit 707d212a27e80970b2b39df418e17b828fc77771
Merge: d577a2b 4690c20
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Aug 7 00:07:00 2015 -0300

    Merge pull request #54 from cristina0botez/average-bandwidth
    
    Average bandwidth

commit 4690c20b83d8dd5a1fb82bb5ab409ec7119d497b
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Thu Aug 6 12:02:00 2015 +0300

    Made some documentation changes

commit 1479ccccae36f0ef9bcb0a150bb55b3842ef760d
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Thu Aug 6 03:38:52 2015 +0300

    Added AVERAGE-BANDWIDTH.

commit d577a2bc57c5880ccbaf52a41a582cdb7af77d9a
Merge: 8b31976 80af35f
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Jul 31 12:54:03 2015 -0300

    Merge pull request #53 from GrumpyOldTroll/master
    
    fixes #42 and other minor problems

commit 80af35ffa37d17ba49b90a3eb481158b7b33353a
Author: Jake Holland <jholland@akamai.com>
Date:   Mon Jul 27 22:07:38 2015 -0700

    Fixed 2 problems:
    
    Unknown AttributeNames should be ignored, according to https://tools.ietf.org/html/draft-pantos-http-live-streaming-16#section-6.3.1.  Observed BANDWIDTH included in EXT-X-MEDIA tag from ted.com (e.g. http://hls.ted.com/talks/2297.m3u8), which is not defined, but caused an exception. Fixed that with the **extras.
    
    Also changed semantics when an absolute path without a netloc is used in a url, so that base_url will behave like a urljoin, using base_url netloc and the given url's absolute path. Note the change to expected_ts1_abspath in test_load_should_create_object_from_uri_with_relative_segments in test_loader.py. Also impacted parsing of the same video from ted.com.

commit 8b31976a52d17c201aeedd86a9bcbc3dcd7b6ae3
Merge: 74aa57e 3811ec4
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Jul 24 16:50:09 2015 -0300

    Merge pull request #48 from mvmocanu/master
    
    Add support for #EXT-X-INDEPENDENT-SEGMENTS fix #51 and fix #52

commit 74aa57e946f709e4384ca859e9b2d0aaf7ae0309
Merge: c6a10cd 4d3cf88
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Fri Jul 24 16:48:14 2015 -0300

    Merge pull request #50 from GrumpyOldTroll/master
    
    Added a strict mode (strict=True optional parameter to M3U8 constructor), plus a couple of parse fixes.

commit 4d3cf88698b3bfbdaa035257db85eba3e3cc79e2
Merge: 0408f48 c6a10cd
Author: Jake Holland <jholland@akamai.com>
Date:   Wed Jul 22 12:39:54 2015 -0700

    merge from upstream

commit 0408f48701b459208e8c99e998daf984e7bf82a1
Author: Jake Holland <jholland@akamai.com>
Date:   Thu Jul 16 15:27:07 2015 -0700

    fix to accept blank lines in strict mode

commit 56a029bbabd644d856e484c24f75cd3c9cd41176
Author: Jake Holland <jholland@akamai.com>
Date:   Thu Jul 16 13:30:53 2015 -0700

    fixed parsing with EXT-X-BYTERANGE before EXTINF

commit 4e3e6726ea74ba7ad44e4d552c9c853ea31da97a
Author: Jake Holland <jholland@akamai.com>
Date:   Fri May 22 17:34:01 2015 -0700

    Fix for https://github.com/globocom/m3u8/issues/49: Added optional scrict=True parameter to avoid silently accepting things like html by raising ParseError. (Defaults to false for backward compatibility.)

commit 3811ec4fc69ab1fefd0562f843b2645cacb59733
Author: Mihai Mocanu <mvmocanu@users.noreply.github.com>
Date:   Tue Jul 21 15:57:31 2015 +0300

    Bumped version to 0.2.6

commit bb079394873efdf0f03f7ad069887a0bef1244a7
Author: Mihai Mocanu <mvmocanu@users.noreply.github.com>
Date:   Tue Jul 21 15:57:15 2015 +0300

    Added tests for #EXT-X-INDEPENDENT-SEGMENTS

commit 7f353e3aa46909b63cdee7c76ec485a18eadf7aa
Author: Mihai Mocanu <mvmocanu@users.noreply.github.com>
Date:   Tue Jul 21 15:56:55 2015 +0300

    Added missing requirement.

commit af09a65c982b33746d8c87254870f65a7ffd5972
Author: Mihai Mocanu <mvmocanu@users.noreply.github.com>
Date:   Tue Jul 21 15:47:04 2015 +0300

    Added support for #EXT-X-INDEPENDENT-SEGMENTS

commit c6a10cdd62f9b6f6c4a007e374f679831d2feb8c
Merge: 1bdec40 cb199fa
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Jul 15 10:14:11 2015 -0300

    Merge pull request #47 from neon-lab/master
    
    Added support for #EXT-X-CUE-OUT-CONT tags as attributes of Segment

commit cb199faa5db709ecb6f76ef1fa9cae11f6420e28
Merge: 74d799e 51a24bc
Author: Neon-Dlea <lea@neon-lab.com>
Date:   Tue Jul 14 15:13:36 2015 -0700

    Merge pull request #5 from neon-lab/working
    
    modified the version number

commit 51a24bcd95c7053630b9a2dd34995dd27297b91a
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jul 14 15:13:03 2015 -0700

    modified the version number

commit 74d799e18316b45782665e3ab9c6b88681b2a7cc
Merge: 2880d9c f36849c
Author: Neon-Dlea <lea@neon-lab.com>
Date:   Tue Jul 14 14:45:37 2015 -0700

    Merge pull request #4 from neon-lab/working
    
    bumped versions

commit f36849cfc411dab9d2793cbd1759feb123f28cfb
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jul 14 14:44:52 2015 -0700

    bumped version to 1.0.2-neon

commit b55dd5e812117124f0c9b6f8301f872ca5dd726e
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jul 14 14:44:09 2015 -0700

    bumped version to 2.5

commit 2880d9ce648ed1322f8350267f28606f7b7212ee
Merge: e7a80dc cf60ac6
Author: Neon-Dlea <lea@neon-lab.com>
Date:   Tue Jul 14 14:25:20 2015 -0700

    Merge pull request #3 from neon-lab/working
    
    Added support for #EXT-X-CUE-OUT-CONT

commit cf60ac689a1be70a1402828f66f3b64a76238349
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jul 14 14:23:37 2015 -0700

    updated to be #EXT-X-CUE-OUT-CONT instead of #EXT-X-CUE-OUT

commit e7a80dc5a63903a23a9375d234f1fafd8496692c
Merge: f9c14a4 f50cad5
Author: Neon-Dlea <lea@neon-lab.com>
Date:   Tue Jul 14 14:15:51 2015 -0700

    Merge pull request #2 from neon-lab/working
    
    added tests

commit f50cad56e32f3560553bfe47594abcf29fb2a7d9
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jul 14 14:11:02 2015 -0700

    added tests

commit f9c14a4776a68b89eeaf6cc4fae8d9e1ff4abd6f
Merge: 1bdec40 4273698
Author: Neon-Dlea <lea@neon-lab.com>
Date:   Mon Jul 13 08:14:05 2015 -0700

    Merge pull request #1 from neon-lab/working
    
    Updated model, protocol and parser to add cue_out info to Segment object

commit 42736982ec509147a455fd65726937d4a09ae936
Author: David Lea <lea@neon-lab.com>
Date:   Tue Jun 30 17:12:14 2015 -0700

    Updated model, protocol and parser to add cue_out info to Segment object

commit 1bdec40263a9758b7c1dd7171076b69c695ff691
Merge: 499285c bdea70a
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Jun 3 00:49:00 2015 -0300

    Merge pull request #46 from GrumpyOldTroll/master
    
    Fix for #43 and #45 (Media base_uri handling and adding new EXT-X-KEY fields)

commit bdea70ad17be39dd4e305e4c62d007ebe4087e71
Author: Jake Holland <jholland@akamai.com>
Date:   Thu May 21 10:03:52 2015 -0700

    Fix for https://github.com/globocom/m3u8/issues/43, Media (EXT-X-MEDIA) base uri handling.

commit c47d2d10ddb2f5b987204f343b54be7a0540ae8b
Author: Jake Holland <jholland@akamai.com>
Date:   Thu May 21 10:15:27 2015 -0700

    fix for https://github.com/globocom/m3u8/issues/45, KEYFORMAT addition to EXT-X-KEY

commit 499285c68f050e7d32766a4fc035086c2c2c9436
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Mar 3 11:51:41 2015 -0300

    bump to 0.2.4

commit 8aa52b69f4e423a26d194527e0de6ccda38164c5
Merge: cecf487 0495cd5
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Tue Mar 3 10:34:32 2015 -0300

    Merge pull request #40 from netrounds-fredrik/replace_arrow_with_iso8601
    
    Replace arrow with iso8601 that is more lightweight (fixes #38)

commit 0495cd5a118c203cf21980fd4012763e7d367f9e
Author: Fredrik Kers <fredrik.kers@netrounds.com>
Date:   Tue Mar 3 10:10:29 2015 +0000

    Replace arrow with iso8601 that is more lightweight (fixes #38)

commit cecf487a61568b9991030fd122f4f4f27578ec29
Merge: ac9b4e0 7e6a88f
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Fri Feb 13 17:56:05 2015 -0200

    Merge pull request #39 from danielfm/media-sequence-fallback
    
    Media sequence fallback

commit 7e6a88fd6b85a6de32652a37fd54b1a2cd19681e
Author: Daniel Fernandes Martins <daniel.fernandes@corp.globo.com>
Date:   Fri Feb 13 13:59:17 2015 -0200

    bumped up version

commit b2040b62bc1a13806f235b2a51d76e47c39b1122
Author: Daniel Fernandes Martins <daniel.fernandes@corp.globo.com>
Date:   Fri Feb 13 11:54:32 2015 -0200

    guarantees an integer media sequence for non-variant playlists

commit ac9b4e009764b3fb325423ec1445a97e2d091981
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Sep 8 17:17:05 2014 -0300

    releases new version :poop:

commit 69fab6f088bec6f560e836bc62f414b2b2f780b6
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Mon Sep 8 17:14:40 2014 -0300

    adds manifest

commit da0ab48e7d3f138bb35b5a322432a18be034bd1e
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Mon Sep 8 16:04:49 2014 -0300

    Bump up to 0.2.1

commit c1b1cc376845d7220738b6416a00b86303e6ed53
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 16:04:14 2014 -0300

    Dump discontinuity and program date time

commit d5658038d4e20deaf2015c9ee55a3cfffcfc193f
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 15:37:54 2014 -0300

    Dump multiple keys. Ref #1

commit 29c71ae8bc93743c721059fceba3bcc8597bb5c9
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Mon Sep 8 15:37:08 2014 -0300

    Increase tests verbosity

commit 22fa0163ae6e7ad36b455b37dd7b99829215a85d
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 15:11:58 2014 -0300

    Fix #1: Add support to multiple keys

commit 02adf9f44e99d2cb12f1b18dd7e794731748fec5
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 14:27:46 2014 -0300

    Add a segment attribute to indicate if it has a discontinuity

commit 2ddec8da1484a27ec15b9a87d922f5f9e335fe19
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 14:19:33 2014 -0300

    Fix docstring. Program date time is now a datetime

commit e3a2574142af2cc41e87f08a1eb2dd7b0cd1d5f4
Author: Leandro and Juarez <jbochi@gmail.com>
Date:   Mon Sep 8 14:12:40 2014 -0300

    Fix #26: Program id and bandwidth are integers

commit cdf7728ade04fe6e7078a91d0ab5ab8f6312f736
Author: Juarez Bochi and Leandro Moreira <juarez.bochi+leandro.ribeiro.moreira@gmail.com>
Date:   Mon Sep 8 11:41:47 2014 -0300

    adds program date time for each segment

commit eea0514ac21bd790e9c5e7422343e6c91110e3b9
Author: Juarez Bochi and Leandro Moreira <juarez.bochi+leandro.ribeiro.moreira@gmail.com>
Date:   Mon Sep 8 10:57:34 2014 -0300

    changes program_date to be datetime type

commit 7ff922e1ab4efeef779f9038cb8bf16e0f82abf7
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Sep 5 10:52:15 2014 -0300

    releases new version

commit 1347c73a83bffc47512d0311869f4f401012bb4a
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Fri Sep 5 10:40:04 2014 -0300

    adds program date time attribute

commit 82ebf20b387faabc14136b354085d1eba1b4afbf
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 20 20:34:51 2014 -0300

    removes unnecessary parameter
    
    It opens read-only by default as docs points out https://docs.python.org/2/library/functions.html#open thanks @igorsobreira

commit 2f951559f6659f31fefdd71f8351324ad046eb16
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 15:25:26 2014 -0300

    releases new version with python 3 support

commit a881da06898ca222dd2cd6cc0aab0b84a4b954ea
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 15:16:16 2014 -0300

    fixes version fetch for python 2.6

commit 01fdd66609d866938b54db48de39528b1594a8e8
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 15:06:38 2014 -0300

    adds support for python 3

commit 71e73ef4d4522c8ec37f78aeb994e15978598f42
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 13:10:01 2014 -0300

    adjusts imports

commit 67dfddbd4cf3f502075cc94ffb964344346b8f3e
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Wed Aug 20 11:27:45 2014 -0300

    add coveralls.io badge on README

commit 1ef093dcbc079ea9a79651f49cad93c2bc641297
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Wed Aug 20 11:26:45 2014 -0300

    add coveralls.io support

commit 04f6ed3dc6e2c046a2dc7e7998db067d422e9a9a
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 10:55:21 2014 -0300

    returns test exit code instead of stop server

commit 4b40d3639c32bb60e0fe769f93557a777f1a2861
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 10:45:53 2014 -0300

    adds python 3 as runtime for ci

commit 4d74a60275d7ba3955ea1ffb0d37f9fc28649b3c
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 10:27:06 2014 -0300

    dependencies install is made by runtest script

commit fb68b81125509fbb4d0d1fc45483bf7c9004e16e
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 20 10:24:46 2014 -0300

    travis-ci to use badge using rst instead of mkdow

commit 5a8d11ee012be7e1a559d2c1470b98d1f93f2f03
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 20 10:23:59 2014 -0300

    Fixes markdown

commit ffe899d67ad4be6c187fdecb621d2b84e27bbdb1
Author: Leandro Moreira <leandromoreira@users.noreply.github.com>
Date:   Wed Aug 20 10:23:03 2014 -0300

    Adds travis-ci badge

commit 9d4c3c20ebe2cfd58f7f83e01953a1d049d322af
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Wed Aug 20 10:19:42 2014 -0300

    adds travis ci

commit 14958a8e39fa9421b079159ba5d289125a7ff333
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 22:15:53 2014 -0300

    add license headers

commit b4ff300358f56cfbfb120031b82bb10b78104dce
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 22:12:33 2014 -0300

    add component to store hls protocol strings

commit 578ab6f873719958accd4dca1a9d018548f7c4c4
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 22:10:35 2014 -0300

    remove useless file

commit 188b8111f235ab6de7b8ea6e69d4b6adf91de239
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 21:18:20 2014 -0300

    add coverage on runtests

commit 2a0eba8f9ad727107727a8fd50e7a515f361dc98
Merge: 3365163 50799af
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 21:04:37 2014 -0300

    Merge branch 'ericbuehl-master'

commit 50799af37960d4ec353025dbcb1078fe411ae4da
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 21:04:04 2014 -0300

    adjust base_uri variable on test_loader.py

commit 882e24bab47412cc32b14b2d15fa660bd3114a92
Merge: 3365163 6520424
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 21:02:39 2014 -0300

    Merge branch 'master' of https://github.com/ericbuehl/m3u8 into ericbuehl-master
    
    Conflicts:
            tests/test_loader.py

commit 33651639c030348954e7bf9b4a81f9cbdd17b004
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 19 20:48:56 2014 -0300

    Remove ISSUES file, issues are on https://github.com/globocom/m3u8/issues

commit 6d44d7c47f5dc90010483676f8e94ad5bca6a978
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Aug 19 17:41:11 2014 -0300

    releases new version

commit 8934562405e612a06de28c8062407a5bd791b067
Author: Leandro Moreira <leandro.ribeiro.moreira@gmail.com>
Date:   Tue Aug 19 17:35:08 2014 -0300

    adds python version

commit 91bfba4e0ab8d50ff07efd2be156f7aaeef00e01
Author: Lucas Mundim and Leandro Moreira <lucas.mundim+leandro.moreira@corp.globo.com>
Date:   Tue Aug 19 17:34:53 2014 -0300

    open playlist in read-only mode

commit 9cc5257dc166c71d2b36e844746b849f1ffc9e79
Merge: 5b599ab 113a11d
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Jul 17 18:19:08 2014 -0300

    Merge pull request #31 from pbs/master
    
    I-frame playlist support

commit 113a11d9bc14ff762cd22a3369b0bc943129f420
Author: Peter Norton <pfnorton@pbs.org>
Date:   Thu Jul 17 11:45:30 2014 -0400

    Bump version to 0.1.7b to be able to use as a dependency in the setup.py script

commit 97d06a09e336884c7c0406aa0f23a5028c4f28d9
Author: Peter Norton <pfnorton@pbs.org>
Date:   Thu Jul 17 11:25:11 2014 -0400

    Added I-frame playlist support

commit 5b599abc0695827c6956830c07bd712205394932
Merge: 8432eb1 45874d3
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Sat Mar 15 15:22:06 2014 -0300

    Merge pull request #29 from audetto/win
    
    Do not use os.path.normpath for url as it is platform dependent.

commit 45874d3552ddc41f9002050df80a980683b88b4e
Merge: 8432eb1 390df99
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Sat Mar 15 18:05:30 2014 +0000

    Merge branch 'win' into org

commit 8432eb120bc1fa595a6a48a70c2122a6163d9a28
Merge: 1043d52 5fa2592
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Wed Mar 12 08:21:42 2014 -0300

    Merge pull request #30 from cristina0botez/variant_playlist_type
    
    Variant playlist type

commit 1043d5228896ee2e9e8e2373fa7b8cdd43d1ae81
Merge: e87e2c2 f12214a
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Wed Mar 12 08:14:36 2014 -0300

    Merge pull request #28 from chrippa/variant_playlist_media
    
    Parse #EXT-X-MEDIA in variant playlists.

commit 5fa259200a0921cfc5ed9714ae3354e539580be8
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Thu Mar 6 16:40:36 2014 +0200

    Corrected media serialization in the EXT-X-STREAM-INF tag to expose a quoted-string value. See http://tools.ietf.org/html/draft-pantos-http-live-streaming-12#section-3.4.10 subsections: AUDIO, VIDEO, SUBTITLES.

commit 30b7fc091589b2f7aa8c98e577018cd7c3961139
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Tue Mar 4 15:59:25 2014 +0200

    Added documentation for new playlist_type field.

commit 6f8101e44802c63b219069d1ff85e925bfcca446
Author: Cristina Botez <cristina_maria_botez@yahoo.com>
Date:   Tue Mar 4 15:45:04 2014 +0200

    Update README.rst

commit dd4a532cca05b0ae096581af9b39eba009bb44e3
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Tue Mar 4 15:41:54 2014 +0200

    Added tests for modified behaviour. Modified README.rst

commit 8531aada66d340ce11f5f91bbebb7e0628238b20
Author: Cristina Botez <cristina.botez@3pillarglobal.com>
Date:   Tue Mar 4 14:51:16 2014 +0200

    Added #EXT-X-PLAYLIST-TYPE to supported simple parameters. Modified behaviour so that if #EXT-X-MEDIA-SEQUENCE is set to 0 it is serialized.

commit 390df996c48c65da4bacf7467f1eef0feac2d275
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Sun Sep 15 10:39:53 2013 +0100

    Do not use os.path.normpath for url as it is platform dependent.
    urls look like a posixpath, so we enforce it.
    
    Andrea

commit f12214aad9fc61159b079c4b2a90a6005f96df44
Author: Christopher Rosell <chrippa@tanuki.se>
Date:   Sun Sep 15 01:57:22 2013 +0200

    Update README.rst.

commit 427d441fea2e4f274c1f9a6c1710b92db69b9ef1
Author: Christopher Rosell <chrippa@tanuki.se>
Date:   Sun Sep 15 01:56:19 2013 +0200

    Update tests to support media in variant playlists.

commit 33205bb57d02ef022cb7c44d769bdec9a9eee4fa
Author: Christopher Rosell <chrippa@tanuki.se>
Date:   Sun Sep 15 01:53:32 2013 +0200

    Parse #EXT-X-MEDIA in variant playlists.
    
    The data is available in two places:
    
     - M3U8.media is a list of all Media entries.
     - Playlist.media is a list of the Media entries connected
       to this playlist via the AUDIO, VIDEO and SUBTITLES tags.

commit e87e2c2d8b6bfd3f02e7b470bd48e55063b580c7
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 6 17:21:26 2013 -0300

    bump to 0.1.6

commit 95e86361484976812908eab64495216aaf9d4b93
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 6 17:20:40 2013 -0300

    fix 'replace all' mistake

commit 6c661b686f2a759acb308e55c22c1462b4d26115
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 6 14:56:29 2013 -0300

    bump to 0.1.5

commit 689bc9be13c24bcbb2839e3bb68643322a6fddec
Merge: 6c6c105 e5d2f32
Author: Flávio Ribeiro <email@flavioribeiro.com>
Date:   Tue Aug 6 10:45:48 2013 -0700

    Merge pull request #27 from flavioribeiro/master
    
    Change baseuri attribute name to base_uri respecting style (like absolute_uri) and fix basepath update

commit e5d2f324c6732c3dd2072eed105d70ba9e69bd61
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 6 14:37:23 2013 -0300

    naming: change basepath to base_path

commit c462cde1bf6b44f3757e006073bd423dad743d39
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Tue Aug 6 14:33:15 2013 -0300

    BasePathMixin: fix basepath update

commit dc9018dd1a271cc1efbcbd3d64da1114ddb4dc43
Author: Flávio Ribeiro <flavio.ribeiro@corp.globo.com>
Date:   Mon Aug 5 15:48:48 2013 -0300

    naming: change baseuri to base_uri

commit 6520424846ae217220eb6ba3256f79e27544dbe9
Author: Eric Buehl <eric.buehl@gmail.com>
Date:   Wed Jun 26 00:01:38 2013 +0000

    use correct base uri when being redirected

commit c4899b9ff536737dbfc9f3c412771e76421783c8
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Mon Jan 21 11:39:14 2013 +0800

    fix typo

commit f902b25e262b03dbebefd29ecb6d029bc8b85e39
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Mon Jan 21 01:43:19 2013 +0800

    Added multiple key support, I-frame playlist support.

commit 86ec88fd584f3e5b4e1d2dad4c85589d4b03e376
Author: feuvan <feuvan@gmail.com>
Date:   Sun Jan 20 20:25:00 2013 +0800

    fix styling, function untested

commit e1024b9cbc940c3d37a2cef83625eb51b99bb17f
Author: feuvan <feuvan@gmail.com>
Date:   Thu Jan 17 16:25:43 2013 +0800

    x-map, x-iframes-only

commit 9620974aec88a3a562abd35c1a970ddd56d7c748
Merge: 6c18398 6c6c105
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Thu Jan 17 00:19:01 2013 -0800

    Merge pull request #4 from globocom/master
    
    merge with upstream

commit 6c6c105636b0643c774a714c3ee59a24405d008c
Merge: 4ecc59c 2998994
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Sun Jan 6 12:16:20 2013 -0800

    Merge pull request #19 from audetto/master
    
    Add attribute RESOLUTION

commit 299899450e1357c0c895a6f82f0a3b0a22c93f89
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Wed Jan 2 21:41:43 2013 +0000

    The 2 tests had the same function name,
    so only the 2nd was actually executed.
    Moved the dump test to the correct area.
    
    Andrea

commit df2d0b4781bb1d4cac9f1948d01004816bdcac46
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Wed Jan 2 21:20:43 2013 +0000

    Make resolution a tuple (h, v) of integers.
    
    Andrea

commit 3fbacb81ea278578f73f7ab5e761657770e1d00a
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Wed Jan 2 21:10:31 2013 +0000

    Fix function documentation.
    
    Andrea

commit 3eec871c55220d2ed448e066c492f1455f704342
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Wed Jan 2 21:07:50 2013 +0000

    Add dump test of playlist with resolution.
    
    Andrea

commit b31121b68910cc2f53d0f8a05c62ba71e231f73a
Author: Andrea Odetti <mariofutire@googlemail.com>
Date:   Tue Jan 1 21:17:23 2013 +0000

    Add support for attribute RESOLUTION
    
    Andrea

commit 6c183985aea39c81f521f88b93361c5bb294aa91
Merge: 93c76e8 4ecc59c
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Tue Dec 18 22:32:07 2012 -0800

    Merge pull request #3 from globocom/master
    
    sync with upstream

commit 4ecc59cf067c1c15943023312dbaa9640bb4725f
Merge: 8757161 da2fa80
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Mon Dec 17 07:31:44 2012 -0800

    Merge pull request #18 from Kojoley/endlist
    
    Add support of EXT-X-ENDLIST tag, refs #3

commit da2fa807c04aaec21c06993e3edc841eff1dd547
Author: Nikita Kniazev <nok.raven@gmail.com>
Date:   Mon Dec 17 17:11:42 2012 +0400

    Add support of EXT-X-ENDLIST tag, refs #3
    
    model: add `is_endlist` attribute

commit 93c76e8c188926a1784bc7183a73485b13524df5
Merge: 763ae15 8757161
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Wed Oct 17 11:15:03 2012 -0700

    Merge pull request #2 from globocom/master
    
    pull upstream change

commit 8757161d8adad7c87ed9e2a7f3faf648afd43ed0
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Mon Oct 8 16:42:55 2012 -0300

    Fix #17: package installation

commit 763ae15d185848b84eec5d73a283852e4417123e
Merge: 05e3471 6ab27a3
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Fri Oct 5 09:09:08 2012 -0700

    Merge pull request #1 from globocom/master
    
    Pull changes from upstream

commit 6ab27a355cf3e0b331bfe854029006db61656c06
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 17:06:48 2012 -0300

    README: Update link to last HLS specification

commit 267c61918430caa1e8fd83fb4952c0f4b06100de
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 15:18:57 2012 -0300

    readme: Fix grammar

commit 0142fab8bc9976e261b983c2b4cba790fc9b96cb
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 15:16:46 2012 -0300

    readme: Fix link to issue 4

commit 14e12b1bdfd9f3ff31c50370e03003a20d56d123
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 15:10:30 2012 -0300

    Fix readme section about encryption

commit 3ea9b0ac8191d9ea264c27c90a3ba5066a5a5b9f
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 15:03:45 2012 -0300

    Remove special characters from README

commit da760c2ed4a30162ee42ad2d358d12a6fb3595c9
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 14:48:47 2012 -0300

    Bump up to 0.1.3

commit ecaf7fd11b1aa0f730fdd1c0264abdbb9fd725ef
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 14:47:30 2012 -0300

    Change README from markdown to rst and use it as long description

commit bbf983f761a9852905aafe46c47f2ad9a268004a
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 11:43:57 2012 -0300

    Updated test for codec with commas. Thanks feuvan. Fix #13

commit cabf65712d30a8393138fb2f7d5ba63dcb2ff812
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Thu Sep 27 11:34:07 2012 -0300

    duration: Add tests for float durations support

commit 05e34713a17c9cc44a5a213ded9350abce9c27ec
Author: Chen, Xiaoqiang <feuvan@gmail.com>
Date:   Sun Sep 2 02:11:23 2012 -0300

    Fix bug in attribute parsing. accept float EXTINF
    
    CODEC may contain comma in quoted string like below
    #EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=271610,CODECS="mp4a.40.2,avc1.42801e"
    
    EXTINF duration could be integer or fixed point float.
    ref: http://tools.ietf.org/html/draft-pantos-http-live-streaming-08#section-3.3.2

commit 4a870ba358ae4694605fd9fef123c95f2f81fc47
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Tue May 22 14:46:51 2012 -0300

    model.py: Add `baseuri` to Playlist

commit ff58d6d00393d5715081ec4a1210f71cdc3b42a1
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Mon May 21 14:33:34 2012 -0300

    Fix parser so it does not consider blanks at the start or end of lines

commit a3d07adcec689355f958e5bd787c15828997e387
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Mon May 21 11:47:13 2012 -0300

    Bump version to v0.1.1

commit 6213db06eb2a2c647d5c3652997a05c920213fdb
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Mon May 21 11:44:16 2012 -0300

    model.py: Fix `absolute_uri` for empty `baseuri`s

commit 0840f5b1b79acca11bd0259769b885e2a2a2dbc9
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 16:58:10 2012 -0300

    Add LICENSE

commit 65b68ce744f2b96d790ddd763e711e1b05a28455
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 16:52:41 2012 -0300

    setup.py: Add author name Globo.com

commit eb70a823826cadf8b52b3600adc4b8d01fc460a9
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 16:36:58 2012 -0300

    Bump version to 0.1.0

commit 1def99c6abb09992c3c882c5eb438c8aa2e89e9d
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 16:29:08 2012 -0300

    model.py: Add docs about `baseuri` (issue #11)

commit c403fe6f24fdf8296734bcf57b729408ec561ab5
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 15:19:47 2012 -0300

    model.py: Raise ValueError if `absolute_uri` is called with no `baseuri` set (issue #11)

commit c9ca10a8a040842a36fa745a6231f913ef0cbdbf
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 14:57:00 2012 -0300

    Change M3U8 to have baseuri (issue #11)
    
    Change M3U8 to propagate baseuri to Segments and Keys,
    so they can have `.absolute_uri` getter and let `.uri` unchanged.

commit 2b72decd60cd24d82cdad568ee7017a9cb5cd5bd
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Fri May 18 10:52:58 2012 -0300

    Fixed issue #11: M3U8 doesn't understand relative paths
    
    All chunk paths are now absolute.

commit 5adc4623f2df1757e1ff9d2bd021730fe51c993f
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Thu May 17 18:59:00 2012 -0300

    parser.py: Fix "chunk" typo

commit 330f2138e249efa698aad0474cdf0bcfb2a65026
Author: Hugo Lopes Tavares <hltbra@gmail.com>
Date:   Thu May 17 18:43:26 2012 -0300

    Variant M3U8: Fixed issue #10 - should be able to create m3u8 from scratch

commit ae24fd2f9c2ac4c1328e98c572c4f343190286da
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 15:45:17 2012 -0300

    model: add link to spec on docstring

commit 1bf385a4ccdb7da711b97a2d443bb6c903d44d51
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 15:32:06 2012 -0300

    model: refactor stream_info attribute on playlist

commit 49b779817cbbeb6e9b9bfd0d0af757f61a84f75d
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 15:20:42 2012 -0300

    models: change playlist attribute s/resource/uri. And refactor methods on Playlist and PlaylistList

commit 4e6107a43994bd717025eada5c04b8bacd80fe0e
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 15:07:43 2012 -0300

    model: normalize basepath for variant playlists, fixes 5

commit c4d0627f6690d00283c18f8a51e99508c790d55c
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 14:13:17 2012 -0300

    model: dumps() working for variant streams, fixes #8

commit 638ab8685c8797c97cfc88b618a77711aa1cd1ae
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 13:53:34 2012 -0300

    model: implement files attribure, fixes #9

commit 08bd8063044499fcf1bd063029da5e379e8bbad6
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon May 7 13:43:30 2012 -0300

    model: refactor simple attributes initialization from parser

commit f267dfec423e3eb63acfd016398a94918127f0c1
Author: Danilo Moret <github@moret.pro.br>
Date:   Thu May 3 15:40:02 2012 -0300

    fix readme typo

commit 278e7abe1f9f776893f2d74205b2d419fbd9afb9
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Thu May 3 15:12:38 2012 -0300

    model: add basepath attribute to update the urls of a playlist, refs #5

commit 908c87bd927a98fc7b4803425c9b41be945449f5
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 20:50:46 2012 -0300

    model: create dump() method. same as dumps() but saves string to given file

commit abad0cee3502c2d7de95e7836d2c523eb791f2d3
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 18:57:57 2012 -0300

    model: create dumps() method, working for basic m3u8 (no variant stream support yet)

commit 33b1c4c60ebfc380e8f608682ec112d6190319dd
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 17:28:19 2012 -0300

    parser: refactor target_duration and media_sequence

commit 0f7dab23d836fb97ea547aee1c706194dca14706
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 17:26:04 2012 -0300

    model: add version and allow cache attributes

commit bd9377812d595185e72ab9d8581ab5f0f2e80281
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 17:25:48 2012 -0300

    parser: add version and allow_cache

commit 0190123f3d8979c2e36eeb1ad77a9f74bb4f4471
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 15:58:39 2012 -0300

    update readme with "key" docs

commit e1f66f5835d4cd80f7b4ce0ed6d2e8bdf6d5430d
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 15:48:42 2012 -0300

    parser: normalize line breaks

commit 8477af72ce284469643e926f2cc3c6a98f7544c4
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 15:41:45 2012 -0300

    parser: ignore whitespaces on parameters

commit c4f1efd4a8cf37c84b7952bcf4b895d6eba0f92a
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 15:35:56 2012 -0300

    loader: load from url and file, fixes #7, #8

commit 5ad6f75002921337b025443740711f23fcf522ab
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 14:54:46 2012 -0300

    model: update readme to reflect current implementation status

commit 20f9fbef3fd4c94221eeae22bd39b3b42ea461f0
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 14:49:17 2012 -0300

    model: add `is_variant` and `playlists` attribute, refs #4

commit fd5ac9685f3efb68551575f77f94773bdc92d822
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 12:14:01 2012 -0300

    parser: each variant stream is just a dict, it becomes a namedtuple just on model

commit ba7a67d3ffcea0045c235c7085ee784b4e2c1eab
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 12:08:13 2012 -0300

    parser: each segment is just a dict, it becomes a namedtuple just on model

commit 900bf6b965a1eb809d2f31faa1f51873e88a3d18
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 12:05:32 2012 -0300

    model: implement attributes fetching data from parser response

commit 6122f3d593b4cb2ff49b430f4f148ebe44a152f0
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 11:28:43 2012 -0300

    replace "chunks" for "segments" everywhere

commit cb0557ea019473d97330f267af65a645ea74c1dd
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 11:24:58 2012 -0300

    parser: modify segment to be an object instead of dict

commit 2d82faa8293eeb314b34a63111113435dce61218
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 10:54:34 2012 -0300

    parser: implement variant playlists, refs #4

commit ee73644da454961ea2aae27df036f2ee2212477c
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Wed May 2 10:52:51 2012 -0300

    parser: move test playlists to separate file

commit 36437d369a9a6287346f4cfc740de99f2a6828ab
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Wed May 2 10:15:52 2012 -0300

    Fix #2: parsing chunk title

commit b4ce785d7fad1b96ebcf32a4b7fa6ddded9f1049
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Wed May 2 09:54:31 2012 -0300

    parser: Added test for playlist with IV

commit 2191b967ae5ad796c007085bc1ba2fab7e347722
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Wed May 2 09:37:36 2012 -0300

    parser: returning chunks with 'uri' instead of 'title'

commit 66efd9c817014da157644d08be1ab21f70e40e91
Author: Juarez Bochi <jbochi@gmail.com>
Date:   Wed May 2 09:32:02 2012 -0300

    parser: parsing chunks duration

commit cc8ddcd6ffe1da7c333d14698a9ed05c4b1c47d3
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Mon Apr 30 10:27:47 2012 -0300

    Add design idea to implement variable bitrates, refs #4

commit 8b7ba1dce50b1ab0eac58c52eaee6ba9b003046b
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Sat Apr 28 17:52:26 2012 -0300

    readme: fix typo

commit 622bcd3bfcec16c803fb3f1220e84cd20f33fdc2
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Sat Apr 28 17:51:20 2012 -0300

    Update README example

commit 1ddd6abd5ee5cbfb564ff19f97665ceaf9cafa70
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Sat Apr 28 17:49:48 2012 -0300

    Update readme

commit 7631a3248656ce41b298442602dd41750939bee0
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Sat Apr 28 17:36:03 2012 -0300

    parser: refactor to functions instead of class

commit f3d527a51ba565f00f2c6c4b30e33a4c3cb15dac
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Fri Apr 27 23:47:52 2012 -0300

    parser: parse single key with method and uri

commit 85019f15ab174556b18cafc41a529b5504cad6c8
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Fri Apr 27 23:32:05 2012 -0300

    parser: working for simple playlist files

commit fd3eb544158e955bf9a77b72ed5559612e7e364a
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Fri Apr 27 19:17:44 2012 -0300

    create basic setup.py and test command

commit 67374041839a34f9bfc201f144dd7df2cc92f4b5
Author: Igor Sobreira <igor@igorsobreira.com>
Date:   Fri Apr 27 19:01:50 2012 -0300

    initial project structure with design ideas

commit 7562c16f15099491127a7191f9486e1c7fc39129
Author: Igor Macaubas <igor@macaubas.com>
Date:   Fri Apr 27 13:56:32 2012 -0700

    initial commit
